@import './_variables.scss';

@mixin base-settings {
    min-width: $min-col-width;
    min-height: $min-col-height;
    color: $font-base-color;
    font-family: $font-family;
    font-size: $font-size;
    font-weight: $font-weight;
    text-align: center;
    line-height: 5em;
    padding-top: 3em; 
}
 
@mixin generar_paleta_colores($color_base) {
    
    .baseColor {
        @include base-settings();
        background-color: $color_base;
    }

    @for $col_number from 1 through $palette-col-number {
        .lighten-#{$col_number} {
            @include base-settings();
            background-color: generar_lighten_color($color_base, $col_number);
        }
        
        .darken-#{$col_number} {
            @include base-settings();
            background-color: generar_darken_color($color_base, $col_number);
        }
    }
}

@function generar_darken_color($color, $value) {
    @return darken($color, ($value * $darken-variation));
}

@function generar_lighten_color($color, $value) {
    @return lighten($color, ($value * $lighten-variation))
}